Package org.eclipse.viatra.transformation.evm.specific.event

## Class ViatraQueryEventHandler<Match extends IPatternMatch>

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.api.event.adapter.EventHandlerAdapter<Match>
  - - org.eclipse.viatra.transformation.evm.specific.event.ViatraQueryEventHandler<Match>

- All Implemented Interfaces:
    `EventHandler<Match>`

      public class ViatraQueryEventHandler<Match extends IPatternMatch>
      extends EventHandlerAdapter<Match>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ViatraQueryEventHandler​(ViatraQueryEventSource<Match> source, EventFilter<? super Match> filter, RuleInstance<Match> instance)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispose()` |
    `protected org.eclipse.viatra.transformation.evm.specific.event.ViatraQueryEventHandler.UnregisterMonitorActivationNotificationListener` | `prepareActivationNotificationListener()` |
    `protected AttributeMonitor<Match>` | `prepareAttributeMonitor()` |
    `protected void` | `prepareEventHandler()` |
    `protected java.util.Map<EventType,​EventProcessorAdapter<Match>>` | `prepareEventProcessors()` | Returns a map of event processor adapters related to the different event types.

    - ### Methods inherited from class org.eclipse.viatra.transformation.evm.api.event.adapter.EventHandlerAdapter

      `getEventFilter, getInstance, getSource, handleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViatraQueryEventHandler

          protected ViatraQueryEventHandler​(ViatraQueryEventSource<Match> source,
                                            EventFilter<? super Match> filter,
                                            RuleInstance<Match> instance)

  - ### Method Detail

    - #### prepareAttributeMonitor

          protected AttributeMonitor<Match> prepareAttributeMonitor()

    - #### prepareEventHandler

          protected void prepareEventHandler()

      Overrides:
        `prepareEventHandler` in class `EventHandlerAdapter<Match extends IPatternMatch>`

    - #### prepareActivationNotificationListener

          protected org.eclipse.viatra.transformation.evm.specific.event.ViatraQueryEventHandler.UnregisterMonitorActivationNotificationListener prepareActivationNotificationListener()

    - #### prepareEventProcessors

          protected java.util.Map<EventType,​EventProcessorAdapter<Match>> prepareEventProcessors()

      Description copied from class: `EventHandlerAdapter`
      Returns a map of event processor adapters related to the different event types. The method will be only called once, so there is no need to cache the results internally.
      Specified by:
        `prepareEventProcessors` in class `EventHandlerAdapter<Match extends IPatternMatch>`
      Returns:

    - #### dispose

          public void dispose()